#### D.6.10.8 IntersectionMatrix

Procedure from library `curvepar.lib` (see curvepar_lib).

Usage:
  IntersectionMatrix(i); i ideal

Assume:
  i is the defining ideal of a (reducible) plane curve singularity.

Return:
  intmat of the intersection multiplicities of the branches.

Example:

    LIB "curvepar.lib";
    ring r=0,(x,y),ds;
    ideal i=x14-x4y7-y11;
    IntersectionMatrix(i);
    ==> 0,1,1,1,7,
    ==> 0,0,1,1,7,
    ==> 0,0,0,1,7,
    ==> 0,0,0,0,7,
    ==> 0,0,0,0,0

User manual for Singular version 4.4.1, 2025, generated by texi2html.